Package org.pentaho.reporting.libraries.formula.operators

## Class PlusSignOperator

- java.lang.Object
- - org.pentaho.reporting.libraries.formula.operators.PlusSignOperator

- All Implemented Interfaces:
    `java.io.Serializable`, `PrefixOperator`

      public class PlusSignOperator
      extends java.lang.Object
      implements PrefixOperator

  This is a no-op-operator which is equal to "zero plus x".
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlusSignOperator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TypeValuePair` | `evaluate​(FormulaContext context, TypeValuePair value1)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PlusSignOperator

          public PlusSignOperator()

  - ### Method Detail

    - #### evaluate

          public TypeValuePair evaluate​(FormulaContext context,
                                        TypeValuePair value1)
                                 throws EvaluationException

      Specified by:
        `evaluate` in interface `PrefixOperator`
      Throws:
        `EvaluationException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`